#ifndef	__PCATYPES_H
#define	__PCATYPES_H

/****************************************************************************
 *                                                                          *
 *                        PCA Data Types - pcatypes.h                       *
 *                                                                          *
 *     Copyright (c) 1992-1995 Printing Communications Associates, Inc.     *
 *                                                                          *
 *                            Thomas F. Divine                              *
 *                          4201 Brunswick Court                            *
 *                       Smyrna, Georgia 30080 USA                          *
 *                           TEL: 404 436-1714                              *
 *                           FAX: 404 436-7246                              *
 *                                                                          *
 ****************************************************************************/

/*
 * $Workfile:   pcatypes.h  $
 *  $Logfile:   D:/USR/SRC/ATALK/INCLUDE/VCS/PCATYPES.H_V  $
 *   $Author:   PCA-TFD-BLAZE  $
 *     $Date:   07 Mar 1994 11:21:04  $
 * $Revision:   5.0  $
 *
 * $Log:   D:/USR/SRC/ATALK/INCLUDE/VCS/PCATYPES.H_V  $
 * 
 *    Rev 5.0   07 Mar 1994 11:21:04   PCA-TFD-BLAZE
 * Major release of PCAtalk V5.00
 * 
 *    Rev 1.3   03 Feb 1994 11:40:16   PCA-TFD-SCSI
 * Added pointer typedefs.
 * 
 *    Rev 1.2   10 Oct 1992 00:12:56   PCA-TFD-SCSI
 * Removed MAC_TYPES from this header. They are now in mactypes.h.
 * 
 *    Rev 1.1   19 Jun 1992 10:50:22   PCA-TFD-DELL
 * Added mechanism to handle DOS-specific keywords in non-DOS environments.
 * 
 *    Rev 1.0   09 May 1992 10:44:00   PCA-TFD-DELL
 * Initial revision.
 */

/* Macros To Eliminate DOS Keywords In Non-DOS Environments
----------------------------------------------------------- */
#ifdef	__MSDOS__			// Borland-style
#define	_MSDOS				// Microsoft-style
#endif

#ifndef _MSDOS
#define     huge
#define     far
#define     near
#define     _huge
#define     _far
#define     _near
#endif

#if defined( _WINNT_ )
#define	DllExport	__declspec( dllexport )
#define	DllImport	__declspec( dllimport )
#else
#define	DllExport
#define	DllImport
#endif // _WINNT_

/* Compiler-Dependent Data Type Definitions
------------------------------------------- */
typedef signed char		Sint8, _far *PSint8;			// 8-bit signed
typedef unsigned char	Uint8, _far *PUint8;			// 8-bit unsigned
typedef signed short		Sint16, _far *PSint16;		// 16-bit signed
typedef unsigned short	Uint16, _far *PUint16;		// 16-bit unsigned
typedef signed long		Sint32, _far *PSint32;		// 32-bit signed
typedef unsigned long	Uint32, _far *PUint32;		// 32-bit unsigned

#endif

